Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Folders

Server
Download schema

List folders

GET
https://api.costfluent.com
/v1/folders
Bearer (API token)

Returns all folders for a workspace as a tree

List folders › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

List folders › Responses

Success

CostfluentPublicApiModelsV1ResponsesFolderListResponse
​CostfluentPublicApiModelsV1ResponsesFolderResponse[] · required
GET/v1/folders
curl 'https://api.costfluent.com/v1/folders?workspaceId=[object Object]' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "folders": [ { "id": { "Value": "Value" }, "title": "title", "parentId": { "Value": "Value" }, "reportCount": 0, "children": [ null ] } ] }
json
application/json

Create folder

POST
https://api.costfluent.com
/v1/folders
Bearer (API token)

Creates a new folder for organizing reports

Create folder › Request Body

CostfluentPublicApiModelsV1RequestsCreateFolderRequest
​CostfluentSharedKernelPublicIdsWorkspacePublicId · minLength: 1 · required
title
​string · minLength: 0 · maxLength: 200 · required
​

Create folder › Responses

Success

CostfluentPublicApiModelsV1ResponsesFolderCreatedResponse
​CostfluentSharedKernelPublicIdsFolderPublicId · required
title
​string · required
POST/v1/folders
curl https://api.costfluent.com/v1/folders \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "workspaceId": { "Value": "Value" }, "title": "title", "parentId": { "Value": "Value" } }'
Example Request Body
{ "workspaceId": { "Value": "Value" }, "title": "title", "parentId": { "Value": "Value" } }
json
Example Responses
{ "id": { "Value": "Value" }, "title": "title" }
json
application/json

Get folder

GET
https://api.costfluent.com
/v1/folders/{folderId}
Bearer (API token)

Returns a specific folder

Get folder › path Parameters

​CostfluentSharedKernelPublicIdsFolderPublicId · required

Get folder › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Get folder › Responses

Success

CostfluentPublicApiModelsV1ResponsesFolderResponse
​CostfluentSharedKernelPublicIdsFolderPublicId · required
title
​string · required
​
reportCount
​integer · int32
children
​array | null · CostfluentPublicApiModelsV1ResponsesFolderResponse (circular)
GET/v1/folders/{folderId}
curl 'https://api.costfluent.com/v1/folders/:folderId?workspaceId=[object Object]' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "id": { "Value": "Value" }, "title": "title", "parentId": { "Value": "Value" }, "reportCount": 0, "children": [ null ] }
json
application/json

Update folder

PUT
https://api.costfluent.com
/v1/folders/{folderId}
Bearer (API token)

Updates folder title or parent

Update folder › path Parameters

​CostfluentSharedKernelPublicIdsFolderPublicId · required

Update folder › Request Body

CostfluentPublicApiModelsV1RequestsUpdateFolderRequest
​CostfluentSharedKernelPublicIdsWorkspacePublicId · minLength: 1 · required
title
​string | null · minLength: 0 · maxLength: 200
​

Update folder › Responses

Success

CostfluentPublicApiModelsV1ResponsesFolderResponse
​CostfluentSharedKernelPublicIdsFolderPublicId · required
title
​string · required
​
reportCount
​integer · int32
children
​array | null · CostfluentPublicApiModelsV1ResponsesFolderResponse (circular)
PUT/v1/folders/{folderId}
curl https://api.costfluent.com/v1/folders/:folderId \ --request PUT \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "workspaceId": { "Value": "Value" }, "title": "title", "parentId": { "Value": "Value" } }'
Example Request Body
{ "workspaceId": { "Value": "Value" }, "title": "title", "parentId": { "Value": "Value" } }
json
Example Responses
{ "id": { "Value": "Value" }, "title": "title", "parentId": { "Value": "Value" }, "reportCount": 0, "children": [ null ] }
json
application/json

Delete folder

DELETE
https://api.costfluent.com
/v1/folders/{folderId}
Bearer (API token)

Deletes a folder. Reports in the folder are moved to root.

Delete folder › path Parameters

​CostfluentSharedKernelPublicIdsFolderPublicId · required

Delete folder › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Delete folder › Responses

No Content

No data returned
DELETE/v1/folders/{folderId}
curl 'https://api.costfluent.com/v1/folders/:folderId?workspaceId=[object Object]' \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

ProvidersExchange Rates